/// <reference types="cypress" />
describe('InvoiceInIntrastat', () => {
    const firstRow = 'tbody > :nth-child(1)';
    const thirdRow = 'tbody > :nth-child(3)';
    const firstRowCode = `${firstRow} > :nth-child(2)`;
    const firstRowAmount = `${firstRow} > :nth-child(3)`;

    beforeEach(() => {
        cy.login('developer');
        cy.visit(`/#/invoice-in/1/intrastat`);
    });

    it('should edit the first line', () => {
        cy.selectOption(firstRowCode, 'Plantas vivas: Esqueje/injerto, Vid');
        cy.get(firstRowAmount).clear();
        cy.saveCard();
        cy.get(`${firstRowCode} span`).should(
            'have.text',
            '6021010:Plantas vivas: Esqueje/injerto, Vid'
        );
    });

    it('should add a new row', () => {
        cy.addRow();
        cy.fillRow(thirdRow, [
            false,
            'Plantas vivas: Esqueje/injerto, Vid',
            30,
            10,
            5,
            'FR',
        ]);
        cy.saveCard();
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });

    it('should remove the first line', () => {
        cy.removeRow(1);
    });
});
